package cokr.xit.fims.epst.service.bean;

import java.util.List;

import javax.annotation.Resource;

import org.springframework.stereotype.Service;

import cokr.xit.foundation.component.AbstractServiceBean;
import cokr.xit.foundation.data.DataObject;

import cokr.xit.fims.epst.EpostQuery;
import cokr.xit.fims.epst.EpostRcptReg;
import cokr.xit.fims.epst.service.EpostRcptRegService;

/**전자우편 접수 등록 서비스 구현체.
 *
 * <p>상세 설명:
 *
 * <pre>
 * ============ 변경 이력 ============
 * 2023-10-11	JoJH 최초 작성
 * ================================
 * </pre>
 */
@Service("epostRcptRegService")
public class EpostRcptRegServiceBean extends AbstractServiceBean implements EpostRcptRegService {

	/** 전자우편 접수 등록 정보 Bean */
	@Resource(name = "epostRcptRegBean")
	private EpostRcptRegBean epostRcptRegBean;

	@Override
	public List<DataObject> getEpostRcptRegList(EpostQuery req) {
		return epostRcptRegBean.getEpostRcptRegList(req);
	}

	@Override
	public List<DataObject> getEpostRcptRegs(EpostQuery req) {
		return epostRcptRegBean.getEpostRcptRegs(req);
	}

	@Override
	public DataObject getEpostRcptRegInfo(EpostQuery req) {
		return epostRcptRegBean.getEpostRcptRegInfo(req);
	}

	@Override
	public List<DataObject> getEpostRcptRegDtlList(EpostQuery req) {
		return epostRcptRegBean.getEpostRcptRegDtlList(req);
	}

	@Override
	public boolean create(EpostRcptReg epostRcptReg) {
		return epostRcptRegBean.create(epostRcptReg);
	}

	@Override
	public boolean update(EpostRcptReg epostRcptReg) {
		return epostRcptRegBean.update(epostRcptReg);
	}

	@Override
	public String updatePostPrcsSttsCd(EpostRcptReg epostRcptReg) {
		return epostRcptRegBean.updatePostPrcsSttsCd(epostRcptReg);
	}

	@Override
	public String remove(EpostRcptReg epostRcptReg) {
		return epostRcptRegBean.remove(epostRcptReg);
	}

}
